petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscBagRegisterString

add a string value to the bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterString(PetscBag bag,void *addr,PetscInt msize,const char* mdefault,const char* name,const char* help)

Logically Collective on PetscBag

### Input Parameter

| bag | - the bag of values
| addr | - location of start of string in struct
| msize | - length of the string space in the struct
| mdefault | - the initial value
| name | - name of the string
| help | - longer string with more information about the value

Note: The struct should have the field char mystring[msize]; not char *mystring

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(),PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/dm/examples/tutorials/ex7.c.html